Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openxri.xml
Class AuthenticationService

    java.lang.Object
      org.openxri.xml.Service
          org.openxri.xml.AuthenticationService

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class AuthenticationService

extends Service

This is an Authentication Service as described by "Authentication Service v1.0 Working Draft 02, 7 September 2006 All constructors produce a service endpoint that conforms to the specification. It is currently not in the scope of OpenXRI to implement the authentication for this service. The RECOMMENDED third-level DNS name for hosting an Authentication Service is 'authn', e.g. 'authn.my-i-broker.com' It is REQUIRED that at least one HTTPS URI is used with an Authentication Service.

Author:
  =peacekeeper
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `LOGIN_PATH`
`static java.lang.String` | `SERVICE_TYPE1`
`static java.lang.String` | `SERVICE_TYPE2`
`static java.lang.Integer` | `URI_PRIORITY_DEFAULT`
`static java.lang.Integer` | `URI_PRIORITY_HTTPS`

Constructor Summary
`AuthenticationService(java.net.URI authenticationPage)`
`AuthenticationService(java.net.URI[] authenticationPages)`
`AuthenticationService(java.net.URI[] authenticationPages, java.lang.String providerID)`
`AuthenticationService(java.net.URI[] authenticationPages, java.lang.String providerID, java.lang.String delegate)`
`AuthenticationService(java.net.URI[] authenticationPages, java.lang.String providerID, java.lang.String delegate, boolean useLoginPath)` Constructs a new Authentication endpoint for use in an authority.
`AuthenticationService(java.net.URI authenticationPage, java.lang.String providerID)`
`AuthenticationService(java.net.URI authenticationPage, java.lang.String providerID, java.lang.String delegate)`
`AuthenticationService(java.net.URI authenticationPage, java.lang.String providerID, java.lang.String delegate, boolean useLoginPath)`

Method Summary
`static boolean` | `isInstance(Service service)`

Methods inherited from class org.openxri.xml.Service
`addLocalID, addMediaType, addMediaType, addMediaType, addPath, addPath, addPath, addRedirect, addRef, addType, addType, addType, addURI, addURI, addURI, clone, dump, equals, fromDOM, getExtension, getKeyInfo, getLocalIDAt, getMediaType, getMediaTypeAt, getMediaTypes, getNumLocalIDs, getNumMediaTypes, getNumPaths, getNumRedirects, getNumRefs, getNumTypes, getNumURIs, getOtherChildrenVectorMap, getOtherTagValues, getPathAt, getPaths, getPrioritizedRedirects, getPrioritizedRefs, getPrioritizedURIs, getPriority, getProviderId, getRedirectAt, getRedirects, getRefAt, getRefs, getType, getTypeAt, getTypes, getURI, getURIAt, getURIForScheme, getURIs, matchType, reset, setExtension, setKeyInfo, setMediaType, setMediaTypes, setOtherTagValues, setPaths, setPrioritizedURIs, setPriority, setPriority, setProviderId, setType, setTypes, setURIs, toDOM, toDOM, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SERVICE_TYPE1

    public static final java.lang.String SERVICE_TYPE1

See Also:
  Constant Field Values

### SERVICE_TYPE2

    public static final java.lang.String SERVICE_TYPE2

See Also:
  Constant Field Values

### LOGIN_PATH

    public static final java.lang.String LOGIN_PATH

See Also:
  Constant Field Values

### URI_PRIORITY_HTTPS

    public static final java.lang.Integer URI_PRIORITY_HTTPS

### URI_PRIORITY_DEFAULT

    public static final java.lang.Integer URI_PRIORITY_DEFAULT

Constructor Detail

### AuthenticationService

    public AuthenticationService(java.net.URI[] authenticationPages,
                                 java.lang.String providerID,
                                 java.lang.String delegate,
                                 boolean useLoginPath)

  Constructs a new Authentication endpoint for use in an authority.

  Parameters:
    `authenticationPages` - - The URI(s) where OpenID authentication is implemented.
    `providerID` - - The global i-number of the I-Broker providing this Authentication Service.
    `delegate` - - The identity to use for authenticating at the OpenID IdP; null if the XRI itself is to be used.
    `useLoginPath` - - Whether the Authentication Service implementation responds to the OPTIONAL (+login) path.

### AuthenticationService

    public AuthenticationService(java.net.URI authenticationPage,
                                 java.lang.String providerID,
                                 java.lang.String delegate,
                                 boolean useLoginPath)

### AuthenticationService

    public AuthenticationService(java.net.URI[] authenticationPages,
                                 java.lang.String providerID,
                                 java.lang.String delegate)

### AuthenticationService

    public AuthenticationService(java.net.URI authenticationPage,
                                 java.lang.String providerID,
                                 java.lang.String delegate)

### AuthenticationService

    public AuthenticationService(java.net.URI[] authenticationPages,
                                 java.lang.String providerID)

### AuthenticationService

    public AuthenticationService(java.net.URI authenticationPage,
                                 java.lang.String providerID)

### AuthenticationService

    public AuthenticationService(java.net.URI[] authenticationPages)

### AuthenticationService

    public AuthenticationService(java.net.URI authenticationPage)

Method Detail

### isInstance

    public static boolean isInstance(Service service)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2009. All Rights Reserved.